Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.auth
Class ChildUser

    java.lang.Object
      com.plumtree.remote.auth.ChildUser

public class ChildUser
extends java.lang.Object

Represents a user contained within a user group.

Constructor Summary
`ChildUser(java.lang.String userName, java.lang.String userAuthName, java.lang.String userUniqueName)` Constructor

Method Summary
`java.lang.String` | `getUserAuthName()` Gets the name that the portal passes to the authenticate method during login.
`java.lang.String` | `getUserName()` Gets the name of the user's account in the portal.
`java.lang.String` | `getUserUniqueName()` Gets the unique identifier for this user within the authentication service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildUser

    public ChildUser(java.lang.String userName,
                     java.lang.String userAuthName,
                     java.lang.String userUniqueName)

  Constructor

Parameters:
  `userName` - the name of the user's account in the portal
  `userAuthName` - the name that the portal passes to the authenticate method during login
  `userUniqueName` - the unique identifier for this user within the authentication service

Method Detail

### getUserName

    public java.lang.String getUserName()

  Gets the name of the user's account in the portal.

  Returns:
    the name of the user's account in the portal

### getUserAuthName

    public java.lang.String getUserAuthName()

  Gets the name that the portal passes to the authenticate method during login.

  Returns:
    the name that the portal passes to the authenticate method during login

### getUserUniqueName

    public java.lang.String getUserUniqueName()

  Gets the unique identifier for this user within the authentication service. Note: This value is case sensitive and is always returned by the portal in uppercase.

  Returns:
    the unique identifier for this user within the authentication service

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.